Quality/Testing a.k.a. pre production Infrastructure request for creation

Jul 13, 2015 12:57 PM - Massimiliano Assante

Status: Closed Start date: Jul 13, 2015

Priority: High Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Infrastructure: Development   

Description

So far we utilised a separate VO for pre production testing. However some applications run at Infrastructure level (e.g. HomeLibrary,

Social Apps ). Therefore it is impossible to properly test them before production. This is very risky in same cases, especially now that

we have a brand new Home Library.

To overcome this situation I propose the following:

create a new Infrastructure (name to decide, /preprod perhaps?)

remove the VO scope Ecosystem from production and create a new VO Scope under /preprod (name to decide, /preprod/D4Science

perhaps?)

What do you think?

History

#1 - Jul 13, 2015 03:22 PM - Pasquale Pagano

To minimize the impact of a new infrastructure to install, maintain, and manage we need to be sure to configure it to reuse MongoDB, Cassandra, and

in the future CouchDb of the production infrastructure at least. Clearly, the areas of the storages dedicated to the pre-production should be completely

decoupled by the ones used in production and it should be possible to clean all the persisted status immediately after the upgrade of the production.

It should be also analyzed if it is possible to use the same ActiveMq of the production under the same principles.

The above conditions are needed since a pre-prod should ensure the same QoS of the production and the only affordable way to do it in the

short-term is to exploit the production technologies that are properly managed and monitored. 

As far as the name I would prefer a simple 'd4s' name for the pre-prod. 

#2 - Jul 14, 2015 12:14 PM - Massimiliano Assante

- Status changed from New to In Progress

The trade-off is indeed to create a new infrastructure named /d4s, move the resources of Ecosystem into it, and reuse as much as possible the

"external" technologies of production where possible.

For instance we can create a new Cassandra KeySpace (Database) on the same Cassandra Production Cluster, the same applies for CouchDb. We

already have a JCR Repo for testing, not sure about Mongo and GeoServer.

#3 - Jul 14, 2015 12:16 PM - Massimiliano Assante

- Status changed from In Progress to Feedback

- Assignee changed from Massimiliano Assante to Roberto Cirillo

Rob, can we start this activity after the gCube 3.8.0 rollout?

#4 - Jul 14, 2015 01:07 PM - Roberto Cirillo

I think, before start with the creation of a new infrastructure  is better to discuss about it, prepare an estimate of the cost involved and evaluate

whether there are alternatives.

#5 - Jul 15, 2015 11:53 AM - Massimiliano Assante

I'm not sure who has to prepare an estimate of the cost involved, but at least 4 machines dedicated to the root VO (agreed name: /d4science.org)

has to be created and the current Ecosystem ones will be reallocated to the /d4science.org/$name2DecideVO

#6 - Jul 24, 2015 12:55 PM - Massimiliano Assante

- Assignee changed from Roberto Cirillo to Pasquale Pagano

- Priority changed from Normal to High
Lino I think we can we start the planning of this activity, should we proceed to create tickets and involve the necessary people assigning them tasks?

Perhaps the first week of August could be the starting week?

#7 - Jul 27, 2015 02:38 PM - Pasquale Pagano

- Assignee changed from Pasquale Pagano to Massimiliano Assante

Yes, I think you can plan this activity with Roberto. I suggest to look at the development servers no longer used also and to reassign them to the

pre-production environment. 

#8 - Aug 03, 2015 11:48 AM - Massimiliano Assante

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

A new Sprint was created to track the activity https://support.d4science.org/versions/90

the ticket can be closed
